bases=['b1', 'b2', 'b3', 'b4', 'b5', 'b6', 'b7', 'b8', 'b9', 'b10', 'b11']
basenames=['h2o', 'ch2o', 'hcn', 'ch3oh', 'ch2s', 'nh3', 'h2s', 'c2h4', 'oxirane', 'thiirane', 'ph3']
bdict=dict(zip(bases, basenames))

acceptors=['a1', 'a2', 'a3', 'a4', 'a5', 'a6', 'a7', 'a8', 'a9', 'a10', 'a11', 'a12', 'a13', 'a14', 'a15']
acceptornames=['br2', 'i2', 'bri', 'clbr', 'cli', 'hbr', 'hi', 'fcl', 'fbr', 'fi', 'cf3cl', 'cf3br', 'cf3i', 'f2', 'cl2']
adict=dict(zip(acceptors,acceptornames))

import sys

nargs = len(sys.argv)
if nargs > 1:
    header = sys.argv[1]
    
    if nargs > 2:
        suffix = sys.argv[2] + '.xyz'
    else:
        suffix = ''

    infile = header + suffix
    aname = 'a'
    bname = 'b'
    bfound = False
    for c in header:
        if bfound:
            bname += c
        elif c == 'b':
            bfound = True
        elif c != 'a':
            aname += c
    outfile = adict[aname] + '-' + bdict[bname] + '.xyz'

    print("Writing", outfile)
    fin = open(infile, 'r')
    fout = open(outfile, 'w')
    for line in fin.readlines():
        fout.write(line)
    fin.close()
    fout.close()

else:
    print("Please give a file to consider")
